var
  n, i, j: longint;
  s: string;
begin
  assign(output, '09');
  rewrite(output);

  writeln(100);
  n := 100;
  for i := 1 to n do
  begin
    for j := 1 to n do
      write('a');
    writeln;
  end;
end.